IntegrationOpService
The IntegrationOpService methods and their request and response messages.
Generated from integration_op.proto. Every method is
POST /rpc/engram.app.v1.IntegrationOpService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
RunIntegrationOp |
RunIntegrationOpRequest |
RunIntegrationOpResponse |
ResolveIntegrationCredential |
ResolveIntegrationCredentialRequest |
ResolveIntegrationCredentialResponse |
Messages
Section titled “Messages”AwsStsCred
Section titled “AwsStsCred”| Field | Type |
|---|---|
access_key_id |
string |
secret_access_key |
string |
session_token |
string |
BasicCred
Section titled “BasicCred”| Field | Type |
|---|---|
username |
string |
password |
string |
BearerCred
Section titled “BearerCred”| Field | Type |
|---|---|
token |
string |
CredentialSpec
Section titled “CredentialSpec”| Field | Type |
|---|---|
source |
string |
injects |
repeated OpInject |
mint_provider |
string |
oauth_connection_id |
string |
mint_kind |
string |
mint_draft_fields |
map<string, string> |
HeadersCred
Section titled “HeadersCred”| Field | Type |
|---|---|
values |
map<string, string> |
OpInject
Section titled “OpInject”| Field | Type |
|---|---|
header |
string |
template |
string |
secret_ref |
string |
draft_secret |
string |
ResolvedCredential
Section titled “ResolvedCredential”| Field | Type |
|---|---|
bearer |
BearerCred (one of cred) |
basic |
BasicCred (one of cred) |
headers |
HeadersCred (one of cred) |
aws_sts |
AwsStsCred (one of cred) |
expires_at |
string |
ResolveIntegrationCredentialRequest
Section titled “ResolveIntegrationCredentialRequest”| Field | Type |
|---|---|
provider |
string |
credential |
CredentialSpec |
ResolveIntegrationCredentialResponse
Section titled “ResolveIntegrationCredentialResponse”| Field | Type |
|---|---|
credential |
ResolvedCredential |
RunIntegrationOpRequest
Section titled “RunIntegrationOpRequest”| Field | Type |
|---|---|
provider |
string |
host |
string |
method |
string |
path |
string |
body |
bytes |
content_type |
string |
credential |
CredentialSpec |
RunIntegrationOpResponse
Section titled “RunIntegrationOpResponse”| Field | Type |
|---|---|
status |
uint32 |
body |
bytes |
content_type |
string |
truncated |
bool |